Name:           perl-Type-Tie
Version:        0.009
Release:        2%{?dist}
Summary:        Tie a variable to a type constraint
# cf. README
License:        GPL+ or Artistic
URL:            http://search.cpan.org/dist/Type-Tie/
Source0:        http://www.cpan.org/authors/id/T/TO/TOBYINK/Type-Tie-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  %{__perl}
BuildRequires:  %{__make}

BuildRequires:  perl >= 0:5.008005
BuildRequires:  perl-generators

BuildRequires:  perl(Carp)
BuildRequires:  perl(Exporter::Tiny) >= 0.026
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Hash::FieldHash)
BuildRequires:  perl(Tie::Array)
BuildRequires:  perl(Tie::Hash)
BuildRequires:  perl(Tie::Scalar)
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)

# Tests:
BuildRequires:  perl(Types::Standard)
BuildRequires:  perl(Moose::Util::TypeConstraints)
BuildRequires:  perl(MooseX::Types::Moose)
BuildRequires:  perl(Test::Fatal)
BuildRequires:  perl(Test::More) >= 0.96
BuildRequires:  perl(Test::Requires)
BuildRequires:  perl(constant)

Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

# perl-generators fails to detect this
Requires:       perl(Data::Dumper)

%description
This module exports a single function: ttie. ttie ties a variable to a
type constraint, ensuring that whatever values stored in the variable
will conform to the type constraint. If the type constraint has
coercions, these will be used if necessary to ensure values assigned to
the variable conform.

%prep
%setup -q -n Type-Tie-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
%{__make} %{?_smp_mflags}

%install
%{__make} pure_install DESTDIR=$RPM_BUILD_ROOT

%{_fixperms} $RPM_BUILD_ROOT/*

%check
%{__make} test

%files
%doc Changes README
%license COPYRIGHT LICENSE
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Fri Feb 03 2017 Ralf Corsépius <corsepiu@fedoraproject.org> - 0.009-2
- Reflect feedback from package review.

* Fri Feb 03 2017 Ralf Corsépius <corsepiu@fedoraproject.org> - 0.009-1
- Initial Fedora package.
